Index: nio-ftp.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/nio-ftp.cc,v
retrieving revision 2.6
diff -u -p -r2.6 nio-ftp.cc
--- nio-ftp.cc	2001/11/09 13:03:02	2.6
+++ nio-ftp.cc	2001/11/11 06:54:57
@@ -17,7 +17,8 @@
    channels.  It is intentionally simplistic. */
 
 #if 0
-static const char *cvsid = "\n%%% $Id: nio-ftp.cc,v 2.6 2001/11/09 13:03:02 rbcollins Exp $\n";
+static const char *cvsid =
+  "\n%%% $Id: nio-ftp.cc,v 2.6 2001/11/09 13:03:02 rbcollins Exp $\n";
 #endif
 
 #include "win32.h"
@@ -41,20 +42,22 @@ static int cmd_port = 0;
 static char *last_line;
 
 static int
-ftp_line (SimpleSocket *s)
+ftp_line (SimpleSocket * s)
 {
-  do {
-    last_line = s->gets ();
-    log (LOG_BABBLE, "ftp > %s", last_line ? last_line : "error");
-  } while (last_line && (!isdigit (last_line[0]) || last_line[3] != ' '));
-  return atoi (last_line ?: "0");
+  do
+    {
+      last_line = s->gets ();
+      log (LOG_BABBLE, "ftp > %s", last_line ? last_line : "error");
+    }
+  while (last_line && (!isdigit (last_line[0]) || last_line[3] != ' '));
+  return atoi (last_line ? : "0");
 }
 
-NetIO_FTP::NetIO_FTP (char *Purl, BOOL allow_ftp_auth)
-  : NetIO (Purl, allow_ftp_auth)
+NetIO_FTP::NetIO_FTP (char *Purl, BOOL allow_ftp_auth):NetIO (Purl, allow_ftp_auth)
 {
   s = 0;
-  int code;
+  int
+    code;
 
   if (port == 0)
     port = 21;
@@ -63,7 +66,8 @@ NetIO_FTP::NetIO_FTP (char *Purl, BOOL a
     {
       if (cmd)
 	cmd->printf ("QUIT\r\n");
-      delete cmd;
+      delete
+	cmd;
       free (cmd_host);
       cmd = 0;
       cmd_host = 0;
@@ -71,14 +75,15 @@ NetIO_FTP::NetIO_FTP (char *Purl, BOOL a
 
   if (cmd == 0)
     {
-      SimpleSocket *c = new SimpleSocket (host, port);
+      SimpleSocket *
+	c = new SimpleSocket (host, port);
       code = ftp_line (c);
 
-auth_retry:
+    auth_retry:
       if (net_ftp_user)
-        c->printf ("USER %s\r\n", net_ftp_user);
+	c->printf ("USER %s\r\n", net_ftp_user);
       else
-        c->printf ("USER anonymous\r\n");
+	c->printf ("USER anonymous\r\n");
       code = ftp_line (c);
       if (code == 331)
 	{
@@ -88,8 +93,8 @@ auth_retry:
 	    c->printf ("PASS cygwin-setup@\r\n");
 	  code = ftp_line (c);
 	}
-      if (code == 530) /* Authentication failed, retry */
-        {
+      if (code == 530)		/* Authentication failed, retry */
+	{
 	  get_ftp_auth ();
 	  if (net_ftp_user && net_ftp_passwd)
 	    goto auth_retry;
@@ -97,7 +102,8 @@ auth_retry:
 
       if (code < 200 || code >= 300)
 	{
-	  delete c;
+	  delete
+	    c;
 	  return;
 	}
 
@@ -110,27 +116,33 @@ auth_retry:
     }
 
   cmd->printf ("PASV\r\n");
-  do {
-    code = ftp_line (cmd);
-  } while (code == 226); /* previous RETR */
+  do
+    {
+      code = ftp_line (cmd);
+    }
+  while (code == 226);		/* previous RETR */
   if (code != 227)
     return;
 
-  char *paren = strchr (last_line, '(');
+  char *
+    paren = strchr (last_line, '(');
   if (!paren)
     return;
 
-  int i1, i2, i3, i4, p1, p2;
-  sscanf (paren+1, "%d,%d,%d,%d,%d,%d", &i1, &i2, &i3, &i4, &p1, &p2);
-  char tmp[20];
+  int
+    i1, i2, i3, i4, p1, p2;
+  sscanf (paren + 1, "%d,%d,%d,%d,%d,%d", &i1, &i2, &i3, &i4, &p1, &p2);
+  char
+    tmp[20];
   sprintf (tmp, "%d.%d.%d.%d", i1, i2, i3, i4);
-  s = new SimpleSocket (tmp, p1*256 + p2);
+  s = new SimpleSocket (tmp, p1 * 256 + p2);
 
   cmd->printf ("RETR %s\r\n", path);
   code = ftp_line (cmd);
   if (code != 150 && code != 125)
     {
-      delete s;
+      delete
+	s;
       s = 0;
       return;
     }
Index: nio-ftp.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/nio-ftp.h,v
retrieving revision 2.2
diff -u -p -r2.2 nio-ftp.h
--- nio-ftp.h	2001/05/28 08:31:02	2.2
+++ nio-ftp.h	2001/11/11 06:54:57
@@ -17,12 +17,13 @@
 
 class SimpleSocket;
 
-class NetIO_FTP : public NetIO {
+class NetIO_FTP:public NetIO
+{
   SimpleSocket *s;
 
 public:
-  NetIO_FTP (char *url, BOOL allow_ftp_auth = FALSE);
-  virtual ~NetIO_FTP ();
+    NetIO_FTP (char *url, BOOL allow_ftp_auth = FALSE);
+    virtual ~ NetIO_FTP ();
 
   /* If !ok() that means the transfer isn't happening. */
   virtual int ok ();
Index: nio-http.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/nio-http.cc,v
retrieving revision 2.6
diff -u -p -r2.6 nio-http.cc
--- nio-http.cc	2001/11/09 13:03:02	2.6
+++ nio-http.cc	2001/11/11 06:54:57
@@ -17,7 +17,8 @@
    channels.  It is intentionally simplistic. */
 
 #if 0
-static const char *cvsid = "\n%%% $Id: nio-http.cc,v 2.6 2001/11/09 13:03:02 rbcollins Exp $\n";
+static const char *cvsid =
+  "\n%%% $Id: nio-http.cc,v 2.6 2001/11/09 13:03:02 rbcollins Exp $\n";
 #endif
 
 #include "win32.h"
@@ -35,11 +36,11 @@ static const char *cvsid = "\n%%% $Id: n
 #include "nio-http.h"
 
 static char six2pr[64] = {
-    'A','B','C','D','E','F','G','H','I','J','K','L','M',
-    'N','O','P','Q','R','S','T','U','V','W','X','Y','Z',
-    'a','b','c','d','e','f','g','h','i','j','k','l','m',
-    'n','o','p','q','r','s','t','u','v','w','x','y','z',
-    '0','1','2','3','4','5','6','7','8','9','+','/'
+  'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M',
+  'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z',
+  'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm',
+  'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z',
+  '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '+', '/'
 };
 
 static char *
@@ -56,7 +57,7 @@ base64_encode (char *username, char *pas
   strcpy (up, username);
   strcat (up, ":");
   strcat (up, password);
-  ep = (unsigned char *)up + strlen (up);
+  ep = (unsigned char *) up + strlen (up);
   *ep++ = 0;
   *ep++ = 0;
   *ep++ = 0;
@@ -65,7 +66,7 @@ base64_encode (char *username, char *pas
 
   rp = rv;
 
-  for (ep = (unsigned char *)up; *ep; ep += 3)
+  for (ep = (unsigned char *) up; *ep; ep += 3)
     {
       block[0] = six2pr[ep[0] >> 2];
       block[1] = six2pr[((ep[0] << 4) & 0x30) | ((ep[1] >> 4) & 0x0f)];
@@ -86,10 +87,9 @@ base64_encode (char *username, char *pas
   return rv;
 }
 
-NetIO_HTTP::NetIO_HTTP (char *Purl, BOOL allow_ftp_auth)
-  : NetIO (Purl, allow_ftp_auth)
+NetIO_HTTP::NetIO_HTTP (char *Purl, BOOL allow_ftp_auth):NetIO (Purl, allow_ftp_auth)
 {
- retry_get:
+retry_get:
   if (port == 0)
     port = 80;
 
@@ -98,9 +98,10 @@ NetIO_HTTP::NetIO_HTTP (char *Purl, BOOL
   else
     s = new SimpleSocket (host, port);
 
-  if (!s->ok())
+  if (!s->ok ())
     {
-      delete s;
+      delete
+	s;
       s = NULL;
       return;
     }
@@ -121,61 +122,69 @@ NetIO_HTTP::NetIO_HTTP (char *Purl, BOOL
 
   s->printf ("\r\n");
 
-  char *l = s->gets ();
-  int code;
+  char *
+    l = s->gets ();
+  int
+    code;
   if (!l)
     return;
   sscanf (l, "%*s %d", &code);
   if (code >= 300 && code < 400)
     {
-      while ((l = s->gets ()) != 0) {
-	if (_strnicmp (l, "Location:", 9) == 0)
-	  {
-	    char *u = l + 9;
-	    while (*u == ' ' || *u == '\t')
-	      u++;
-	    set_url (u);
-	    delete s;
-	    goto retry_get;
-	  }
-      }
+      while ((l = s->gets ()) != 0)
+	{
+	  if (_strnicmp (l, "Location:", 9) == 0)
+	    {
+	      char *
+		u = l + 9;
+	      while (*u == ' ' || *u == '\t')
+		u++;
+	      set_url (u);
+	      delete
+		s;
+	      goto retry_get;
+	    }
+	}
     }
-  if (code == 401) /* authorization required */
+  if (code == 401)		/* authorization required */
     {
       get_auth ();
-      delete s;
+      delete
+	s;
       goto retry_get;
     }
-  if (code == 407) /* proxy authorization required */
+  if (code == 407)		/* proxy authorization required */
     {
       get_proxy_auth ();
-      delete s;
+      delete
+	s;
       goto retry_get;
     }
-  if (code == 500 /* ftp authentication through proxy required */
-      && net_method == IDC_NET_PROXY
-      && !strncmp (url, "ftp://", 6))
+  if (code == 500		/* ftp authentication through proxy required */
+      && net_method == IDC_NET_PROXY && !strncmp (url, "ftp://", 6))
     {
       get_ftp_auth ();
       if (net_ftp_user && net_ftp_passwd)
-        {
-	  delete s;
+	{
+	  delete
+	    s;
 	  url = concat ("ftp://", net_ftp_user,
-	  		":", net_ftp_passwd,
-			"@", url + 6, 0);
-          goto retry_get;
+			":", net_ftp_passwd, "@", url + 6, 0);
+	  goto retry_get;
 	}
     }
   if (code >= 300)
     {
-      delete s;
+      delete
+	s;
       s = 0;
       return;
+    }
+  while ((l = s->gets ()) != 0)
+    {
+      if (_strnicmp (l, "Content-Length:", 15) == 0)
+	sscanf (l, "%*s %d", &file_size);
     }
-  while ((l = s->gets ()) != 0) {
-    if (_strnicmp (l, "Content-Length:", 15) == 0)
-      sscanf (l, "%*s %d", &file_size);
-  }
 }
 
 NetIO_HTTP::~NetIO_HTTP ()
Index: nio-http.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/nio-http.h,v
retrieving revision 2.2
diff -u -p -r2.2 nio-http.h
--- nio-http.h	2001/05/28 08:31:02	2.2
+++ nio-http.h	2001/11/11 06:54:57
@@ -17,12 +17,13 @@
 
 class SimpleSocket;
 
-class NetIO_HTTP : public NetIO {
+class NetIO_HTTP:public NetIO
+{
   SimpleSocket *s;
 
 public:
-  NetIO_HTTP (char *url, BOOL allow_ftp_auth = FALSE);
-  virtual ~NetIO_HTTP ();
+    NetIO_HTTP (char *url, BOOL allow_ftp_auth = FALSE);
+    virtual ~ NetIO_HTTP ();
 
   /* If !ok() that means the transfer isn't happening. */
   virtual int ok ();
Index: nio-ie5.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/nio-ie5.cc,v
retrieving revision 2.2
diff -u -p -r2.2 nio-ie5.cc
--- nio-ie5.cc	2000/08/30 01:05:42	2.2
+++ nio-ie5.cc	2001/11/11 06:54:57
@@ -18,7 +18,10 @@
    must already have installed and configured IE5.  This module is
    called from netio.cc, which is called from geturl.cc */
 
-static char *cvsid = "\n%%% $Id: nio-ie5.cc,v 2.2 2000/08/30 01:05:42 dj Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: nio-ie5.cc,v 2.2 2000/08/30 01:05:42 dj Exp $\n";
+#endif
 
 #include "win32.h"
 
@@ -31,8 +34,8 @@ static char *cvsid = "\n%%% $Id: nio-ie5
 
 static HINTERNET internet = 0;
 
-NetIO_IE5::NetIO_IE5 (char *_url)
-  : NetIO (_url)
+NetIO_IE5::NetIO_IE5 (char *_url):
+NetIO (_url)
 {
   int resend = 0;
 
@@ -55,12 +58,11 @@ NetIO_IE5::NetIO_IE5 (char *_url)
     INTERNET_FLAG_KEEP_CONNECTION |
     INTERNET_FLAG_PRAGMA_NOCACHE |
     INTERNET_FLAG_RELOAD |
-    INTERNET_FLAG_EXISTING_CONNECT |
-    INTERNET_FLAG_PASSIVE;
+    INTERNET_FLAG_EXISTING_CONNECT | INTERNET_FLAG_PASSIVE;
 
   connection = InternetOpenUrl (internet, url, NULL, 0, flags, 0);
 
- try_again:
+try_again:
 
   if (net_user && net_passwd)
     {
@@ -87,7 +89,7 @@ NetIO_IE5::NetIO_IE5 (char *_url)
       if (GetLastError () == ERROR_INTERNET_EXTENDED_ERROR)
 	{
 	  char buf[2000];
-	  DWORD e, l=sizeof (buf);
+	  DWORD e, l = sizeof (buf);
 	  InternetGetLastResponseInfo (&e, buf, &l);
 	  MessageBox (0, buf, "Internet Error", 0);
 	}
@@ -107,16 +109,16 @@ NetIO_IE5::NetIO_IE5 (char *_url)
 			 HTTP_QUERY_STATUS_CODE | HTTP_QUERY_FLAG_NUMBER,
 			 &type, &type_s, NULL))
 	{
-	  if (type == 401) /* authorization required */
+	  if (type == 401)	/* authorization required */
 	    {
-	      flush_io();
+	      flush_io ();
 	      get_auth ();
 	      resend = 1;
 	      goto try_again;
 	    }
-	  else if (type == 407) /* proxy authorization required */
+	  else if (type == 407)	/* proxy authorization required */
 	    {
-	      flush_io();
+	      flush_io ();
 	      get_proxy_auth ();
 	      resend = 1;
 	      goto try_again;
@@ -135,9 +137,11 @@ NetIO_IE5::flush_io ()
 {
   DWORD actual = 0;
   char buf[1024];
-  do {
-    InternetReadFile (connection, buf, 1024, &actual);
-  } while (actual > 0);
+  do
+    {
+      InternetReadFile (connection, buf, 1024, &actual);
+    }
+  while (actual > 0);
 }
 
 NetIO_IE5::~NetIO_IE5 ()
Index: nio-ie5.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/nio-ie5.h,v
retrieving revision 2.1
diff -u -p -r2.1 nio-ie5.h
--- nio-ie5.h	2000/08/24 02:48:14	2.1
+++ nio-ie5.h	2001/11/11 06:54:57
@@ -15,12 +15,13 @@
 
 /* see nio-ie5.cc */
 
-class NetIO_IE5 : public NetIO {
+class NetIO_IE5:public NetIO
+{
   HINTERNET connection;
 public:
-  NetIO_IE5 (char *url);
-  ~NetIO_IE5 ();
+    NetIO_IE5 (char *url);
+   ~NetIO_IE5 ();
   virtual int ok ();
   virtual int read (char *buf, int nbytes);
-  void flush_io();
+  void flush_io ();
 };
Index: other.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/other.cc,v
retrieving revision 2.1
diff -u -p -r2.1 other.cc
--- other.cc	2000/08/25 01:32:08	2.1
+++ other.cc	2001/11/11 06:54:57
@@ -16,7 +16,10 @@
 /* This handles the "other URL" option from the mirror site
    selection. */
 
-static char *cvsid = "\n%%% $Id: other.cc,v 2.1 2000/08/25 01:32:08 dj Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: other.cc,v 2.1 2000/08/25 01:32:08 dj Exp $\n";
+#endif
 
 #include "win32.h"
 #include <shlobj.h>
@@ -76,6 +79,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
       NEXT (0);
       break;
     }
+  return 0;
 }
 
 static BOOL CALLBACK
@@ -102,4 +106,3 @@ do_other (HINSTANCE h)
 
   log (0, "site: %s", other_url);
 }
-
Index: postinstall.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/postinstall.cc,v
retrieving revision 2.3
diff -u -p -r2.3 postinstall.cc
--- postinstall.cc	2001/10/27 15:56:47	2.3
+++ postinstall.cc	2001/11/11 06:54:57
@@ -16,7 +16,10 @@
 /* The purpose of this file is to run all the post-install scripts
    in their various forms. */
 
-static char *cvsid = "\n%%% $Id: postinstall.cc,v 2.3 2001/10/27 15:56:47 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: postinstall.cc,v 2.3 2001/10/27 15:56:47 cgf Exp $\n";
+#endif
 
 #include "win32.h"
 
@@ -32,14 +35,14 @@ static char *cvsid = "\n%%% $Id: postins
 #include "port.h"
 
 static char *sh = 0;
-static char *cmd = 0;
+static const char *cmd = 0;
 static OSVERSIONINFO verinfo;
 
 static void
-run (char *sh, char *args, char *file)
+run (const char *sh, const char *args, const char *file)
 {
   BOOL b;
-  char cmdline [_MAX_PATH];
+  char cmdline[_MAX_PATH];
   STARTUPINFO si;
   PROCESS_INFORMATION pi;
 
@@ -47,7 +50,7 @@ run (char *sh, char *args, char *file)
   memset (&pi, 0, sizeof (pi));
   memset (&si, 0, sizeof (si));
   si.cb = sizeof (si);
-  si.lpTitle = "Cygwin Setup Post-Install Script";
+  si.lpTitle = (char *) "Cygwin Setup Post-Install Script";
   si.dwFlags = STARTF_USEPOSITION;
 
   b = CreateProcess (0, cmdline, 0, 0, 0,
@@ -86,7 +89,7 @@ each (char *fname, unsigned int size)
 	  cygpath ("/etc/postinstall/", fname, ".done", 0));
 }
 
-static char *shells [] = {
+static const char *shells[] = {
   "/bin/sh.exe",
   "/usr/bin/sh.exe",
   "/bin/bash.exe",
@@ -99,7 +102,7 @@ do_postinstall (HINSTANCE h)
 {
   next_dialog = 0;
   int i;
-  for (i=0; shells[i]; i++)
+  for (i = 0; shells[i]; i++)
     {
       sh = backslash (cygpath (shells[i], 0));
       if (_access (sh, 0) == 0)
@@ -112,8 +115,8 @@ do_postinstall (HINSTANCE h)
   GetEnvironmentVariable ("PATH", old_path, sizeof (old_path));
   SetEnvironmentVariable ("PATH",
 			  backslash (cygpath ("/bin;",
-					     get_root_dir (), "/usr/bin;",
-					     old_path, 0)));
+					      get_root_dir (), "/usr/bin;",
+					      old_path, 0)));
 
   SetEnvironmentVariable ("CYGWINROOT", get_root_dir ());
   SetCurrentDirectory (get_root_dir ());
Index: root.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/root.cc,v
retrieving revision 2.6
diff -u -p -r2.6 root.cc
--- root.cc	2001/11/01 13:22:46	2.6
+++ root.cc	2001/11/11 06:54:58
@@ -17,7 +17,10 @@
    root of the installation to be, and to ask whether the user prefers
    text or binary mounts. */
 
-static char *cvsid = "\n%%% $Id: root.cc,v 2.6 2001/11/01 13:22:46 rbcollins Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: root.cc,v 2.6 2001/11/01 13:22:46 rbcollins Exp $\n";
+#endif
 
 #include "win32.h"
 #include <shlobj.h>
@@ -39,7 +42,8 @@ static int su[] = { IDC_ROOT_SYSTEM, IDC
 static void
 check_if_enable_next (HWND h)
 {
-  EnableWindow (GetDlgItem (h, IDOK), root_text && get_root_dir () && root_scope);
+  EnableWindow (GetDlgItem (h, IDOK), root_text && get_root_dir ()
+		&& root_scope);
 }
 
 static void
@@ -143,7 +147,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
     case IDOK:
       save_dialog (h);
 
-      if (! directory_is_absolute ())
+      if (!directory_is_absolute ())
 	{
 	  note (IDS_ROOT_ABSOLUTE);
 	  break;
@@ -169,6 +173,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
       NEXT (0);
       break;
     }
+  return 0;
 }
 
 static BOOL CALLBACK
@@ -199,4 +204,3 @@ do_root (HINSTANCE h)
        (root_text == IDC_ROOT_TEXT) ? "text" : "binary",
        (root_scope == IDC_ROOT_USER) ? "user" : "system");
 }
-
Index: simpsock.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/simpsock.cc,v
retrieving revision 2.4
diff -u -p -r2.4 simpsock.cc
--- simpsock.cc	2001/11/09 13:03:02	2.4
+++ simpsock.cc	2001/11/11 06:54:58
@@ -16,7 +16,8 @@
 /* Simplified socket access functions */
 
 #if 0
-static const char *cvsid = "\n%%% $Id: simpsock.cc,v 2.4 2001/11/09 13:03:02 rbcollins Exp $\n";
+static const char *cvsid =
+  "\n%%% $Id: simpsock.cc,v 2.4 2001/11/09 13:03:02 rbcollins Exp $\n";
 #endif
 
 #include "win32.h"
@@ -37,7 +38,7 @@ SimpleSocket::SimpleSocket (const char *
     {
       initted = 1;
       WSADATA d;
-      WSAStartup (MAKEWORD (1,1), &d);
+      WSAStartup (MAKEWORD (1, 1), &d);
     }
 
   s = INVALID_SOCKET;
@@ -80,7 +81,7 @@ SimpleSocket::SimpleSocket (const char *
   name.sin_port = htons (port);
   memcpy (&name.sin_addr, ip, 4);
 
-  if (connect (s, (sockaddr *)&name, sizeof(name)))
+  if (connect (s, (sockaddr *) & name, sizeof (name)))
     {
       msg ("Can't connect to %s:%d", hostname, port);
       closesocket (s);
@@ -146,7 +147,7 @@ SimpleSocket::fill ()
     }
   else if (r < 0 && putp == getp)
     {
-      invalidate();
+      invalidate ();
     }
   return r;
 }
@@ -156,7 +157,7 @@ SimpleSocket::gets ()
 {
   if (getp > 0 && putp > getp)
     {
-      memmove (buf, buf+getp, putp-getp);
+      memmove (buf, buf + getp, putp - getp);
       putp -= getp;
       getp = 0;
     }
@@ -166,7 +167,7 @@ SimpleSocket::gets ()
 
   // getp is zero, always, here, and putp is the count
   char *nl;
-  while ((nl = (char *)memchr (buf, '\n', putp)) == NULL && putp < SSBUFSZ)
+  while ((nl = (char *) memchr (buf, '\n', putp)) == NULL && putp < SSBUFSZ)
     if (fill () <= 0)
       break;
 
@@ -196,11 +197,11 @@ SimpleSocket::read (char *ubuf, int ulen
   if (!ok ())
     return -1;
 
-  int n, rv=0;
+  int n, rv = 0;
   if (putp > getp)
     {
-      n = MIN (ulen, putp-getp);
-      memmove (ubuf, buf+getp, n);
+      n = MIN (ulen, putp - getp);
+      memmove (ubuf, buf + getp, n);
       getp += n;
       ubuf += n;
       ulen -= n;
@@ -210,9 +211,9 @@ SimpleSocket::read (char *ubuf, int ulen
     {
       n = recv (s, ubuf, ulen, 0);
       if (n < 0)
-        invalidate();
+	invalidate ();
       if (n <= 0)
-        return rv > 0 ? rv : n;
+	return rv > 0 ? rv : n;
       ubuf += n;
       ulen -= n;
       rv += n;
Index: simpsock.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/simpsock.h,v
retrieving revision 2.3
diff -u -p -r2.3 simpsock.h
--- simpsock.h	2001/11/09 13:03:02	2.3
+++ simpsock.h	2001/11/11 06:54:58
@@ -15,7 +15,8 @@
 
 /* Simplified socket access functions */
 
-class SimpleSocket {
+class SimpleSocket
+{
 
   SOCKET s;
   char *buf;
@@ -23,9 +24,9 @@ class SimpleSocket {
   int fill ();
   void invalidate (void);
 
- public:
-  SimpleSocket (const char *hostname, int port);
-  ~SimpleSocket ();
+public:
+    SimpleSocket (const char *hostname, int port);
+   ~SimpleSocket ();
 
   int ok ();
 
@@ -33,5 +34,5 @@ class SimpleSocket {
   int write (const char *buf, int len);
 
   char *gets ();
-  int	read (char *buf, int len);
+  int read (char *buf, int len);
 };
Index: site.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/site.cc,v
retrieving revision 2.7
diff -u -p -r2.7 site.cc
--- site.cc	2001/05/27 07:05:09	2.7
+++ site.cc	2001/11/11 06:54:58
@@ -16,7 +16,10 @@
 /* The purpose of this file is to get the list of mirror sites and ask
    the user which mirror site they want to download from. */
 
-static char *cvsid = "\n%%% $Id: site.cc,v 2.7 2001/05/27 07:05:09 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: site.cc,v 2.7 2001/05/27 07:05:09 cgf Exp $\n";
+#endif
 
 #include "win32.h"
 #include <stdio.h>
@@ -29,19 +32,21 @@ static char *cvsid = "\n%%% $Id: site.cc
 #include "geturl.h"
 #include "msg.h"
 #include "concat.h"
-#include "mount.h"
 #include "log.h"
+#include "io_stream.h"
 
 #include "port.h"
 
 #define NO_IDX (-1)
 #define OTHER_IDX (-2)
 
-typedef struct {
+typedef struct
+{
   char *url;
   char *displayed_url;
   char *sort_key;
-} site_list_type;
+}
+site_list_type;
 
 static site_list_type *site_list = 0;
 static int list_idx = NO_IDX;
@@ -82,31 +87,21 @@ save_dialog (HWND h)
     }
 }
 
-static void
-get_root_dir_now ()
-{
-  int istext;
-  int issystem;
-  if (get_root_dir ())
-    return;
-  read_mounts ();
-}
-
 void
 save_site_url ()
 {
-  if (! MIRROR_SITE)
-    return;
-
-  get_root_dir_now ();
-  if (!get_root_dir ())
+  if (!MIRROR_SITE)
     return;
 
-  FILE *f = fopen (cygpath ("/etc/setup/last-mirror", 0), "wb");
-  if (!f)
-    return;
-  fprintf (f, "%s\n", MIRROR_SITE);
-  fclose (f);
+  io_stream *f = io_stream::open ("cygfile:///etc/setup/last-mirror", "wb");
+  if (f)
+    {
+      char temp[_MAX_PATH];
+      /* TODO: potential buffer overflow. we need snprintf asap. */
+      sprintf (temp, "%s\n", MIRROR_SITE);
+      f->write (temp, strlen (temp));
+      delete f;
+    }
 }
 
 static BOOL
@@ -141,6 +136,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
       NEXT (0);
       break;
     }
+  return 0;
 }
 
 static BOOL CALLBACK
@@ -152,12 +148,14 @@ dialog_proc (HWND h, UINT message, WPARA
     {
     case WM_INITDIALOG:
       listbox = GetDlgItem (h, IDC_URL_LIST);
-      for (i=0; site_list[i].url; i++)
+      for (i = 0; site_list[i].url; i++)
 	{
-	  j = SendMessage (listbox, LB_ADDSTRING, 0, (LPARAM)site_list[i].displayed_url);
+	  j =
+	    SendMessage (listbox, LB_ADDSTRING, 0,
+			 (LPARAM) site_list[i].displayed_url);
 	  SendMessage (listbox, LB_SETITEMDATA, j, i);
 	}
-      j = SendMessage (listbox, LB_ADDSTRING, 0, (LPARAM)"Other URL");
+      j = SendMessage (listbox, LB_ADDSTRING, 0, (LPARAM) "Other URL");
       SendMessage (listbox, LB_SETITEMDATA, j, OTHER_IDX);
       load_dialog (h);
       return FALSE;
@@ -170,8 +168,8 @@ dialog_proc (HWND h, UINT message, WPARA
 static int
 site_sort (const void *va, const void *vb)
 {
-  site_list_type *a = (site_list_type *)va;
-  site_list_type *b = (site_list_type *)vb;
+  site_list_type *a = (site_list_type *) va;
+  site_list_type *b = (site_list_type *) vb;
   return strcmp (a->sort_key, b->sort_key);
 }
 
@@ -190,10 +188,10 @@ get_site_list (HINSTANCE h)
 
 
   /* null plus account for possibly missing NL plus account for "Other
-    URL" from previous run. */
+     URL" from previous run. */
   int nmirrors = 3;
 
-  for (bol=mirrors; *bol; bol++)
+  for (bol = mirrors; *bol; bol++)
     if (*bol == '\n')
       nmirrors++;
 
@@ -204,9 +202,9 @@ get_site_list (HINSTANCE h)
   while (*nl)
     {
       bol = nl;
-      for (eol = bol; *eol && *eol != '\n'; eol++) ;
+      for (eol = bol; *eol && *eol != '\n'; eol++);
       if (*eol)
-	nl = eol+1;
+	nl = eol + 1;
       else
 	nl = eol;
       while (eol > bol && eol[-1] == '\r')
@@ -226,7 +224,8 @@ get_site_list (HINSTANCE h)
 	      if (dot)
 		*dot = 0;
 	    }
-	  site_list[nmirrors].sort_key = (char *) malloc (2*strlen (bol) + 3);
+	  site_list[nmirrors].sort_key =
+	    (char *) malloc (2 * strlen (bol) + 3);
 
 	  dot = site_list[nmirrors].displayed_url;
 	  dot += strlen (dot);
@@ -237,8 +236,8 @@ get_site_list (HINSTANCE h)
 		{
 		  char *sp;
 		  if (dot[3] == 0)
-		    *dp++ = '~'; /* sort .com/.edu/.org together */
-		  for (sp=dot+1; *sp && *sp != '.' && *sp != '/';)
+		    *dp++ = '~';	/* sort .com/.edu/.org together */
+		  for (sp = dot + 1; *sp && *sp != '.' && *sp != '/';)
 		    *dp++ = *sp++;
 		  *dp++ = ' ';
 		}
@@ -269,19 +268,14 @@ get_site_list (HINSTANCE h)
 static void
 get_initial_list_idx ()
 {
-  get_root_dir_now ();
-  if (!get_root_dir ())
-    return;
-
-  FILE *f = fopen (cygpath ("/etc/setup/last-mirror", 0), "rt");
+  io_stream *f = io_stream::open ("cygfile:///etc/setup/last-mirror", "rt");
   if (!f)
     return;
 
   char site[1000];
-  site[0]='\0';
-  char * fg_ret = fgets (site, 1000, f);
-  fclose (f);
-  if (! fg_ret)
+  char *fg_ret = f->gets (site, 1000);
+  delete f;
+  if (!fg_ret)
     return;
 
   char *eos = site + strlen (site) - 1;
@@ -296,17 +290,16 @@ get_initial_list_idx ()
     if (strcmp (site_list[i].url, site) == 0)
       break;
 
-  if (! site_list[i].url)
+  if (!site_list[i].url)
     {
       /* Don't default to certain machines ever since they suffer
-	 from bandwidth limitations. */
+         from bandwidth limitations. */
       if (strnicmp (site, NOSAVE1, NOSAVE1_LEN) == 0
 	  || strnicmp (site, NOSAVE2, NOSAVE2_LEN) == 0
 	  || strnicmp (site, NOSAVE3, NOSAVE3_LEN) == 0)
 	return;
-      site_list[i].displayed_url =
-      site_list[i].url = _strdup (site);
-      site_list[i+1].url = 0;
+      site_list[i].displayed_url = site_list[i].url = _strdup (site);
+      site_list[i + 1].url = 0;
     }
 
   mirror_idx = list_idx = i;
@@ -333,4 +326,3 @@ do_site (HINSTANCE h)
   if (mirror_idx != OTHER_IDX)
     log (0, "site: %s", mirror_site);
 }
-
Index: source.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/source.cc,v
retrieving revision 2.6
diff -u -p -r2.6 source.cc
--- source.cc	2001/11/06 03:41:00	2.6
+++ source.cc	2001/11/11 06:54:58
@@ -17,7 +17,10 @@
    user choose the source of the install - from the net, from the
    current directory, or to just download files. */
 
-static char *cvsid = "\n%%% $Id: source.cc,v 2.6 2001/11/06 03:41:00 rbcollins Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: source.cc,v 2.5 2001/11/01 13:22:46 rbcollins Exp $\n";
+#endif
 
 #include "win32.h"
 #include <stdio.h>
@@ -27,25 +30,18 @@ static char *cvsid = "\n%%% $Id: source.
 #include "msg.h"
 #include "log.h"
 
-static int rb[] = { IDC_SOURCE_NETINST, IDC_SOURCE_DOWNLOAD, IDC_SOURCE_CWD, 0 };
+static int rb[] =
+  { IDC_SOURCE_NETINST, IDC_SOURCE_DOWNLOAD, IDC_SOURCE_CWD, 0 };
 
 static void
-check_if_enable_next (HWND h)
-{
-  EnableWindow (GetDlgItem (h, IDOK), source ? 1 : 0);
-}
-
-static void
 load_dialog (HWND h)
 {
-  int i;
   rbset (h, rb, source);
 }
 
 static void
 save_dialog (HWND h)
 {
-  int i;
   source = rbget (h, rb);
 }
 
@@ -78,6 +74,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
     default:
       break;
     }
+  return 0;
 }
 
 static BOOL CALLBACK
@@ -88,11 +85,16 @@ dialog_proc (HWND h, UINT message, WPARA
     case WM_INITDIALOG:
       load_dialog (h);
       // Check to see if any radio buttons are selected. If not, select a default.
-      if ((!SendMessage(GetDlgItem (h, IDC_SOURCE_DOWNLOAD), BM_GETCHECK, 0, 0) == BST_CHECKED)
-        && (!SendMessage(GetDlgItem (h, IDC_SOURCE_CWD), BM_GETCHECK, 0, 0) == BST_CHECKED))
-        {
-          SendMessage(GetDlgItem (h, IDC_SOURCE_NETINST), BM_SETCHECK, BST_CHECKED, 0);
-        }
+      if (
+	  (!SendMessage
+	   (GetDlgItem (h, IDC_SOURCE_DOWNLOAD), BM_GETCHECK, 0,
+	    0) == BST_CHECKED)
+	  && (!SendMessage (GetDlgItem (h, IDC_SOURCE_CWD), BM_GETCHECK, 0, 0)
+	      == BST_CHECKED))
+	{
+	  SendMessage (GetDlgItem (h, IDC_SOURCE_NETINST), BM_SETCHECK,
+		       BST_CHECKED, 0);
+	}
       return FALSE;
     case WM_COMMAND:
       return HANDLE_WM_COMMAND (h, wParam, lParam, dialog_cmd);
@@ -104,7 +106,7 @@ void
 do_source (HINSTANCE h)
 {
   int rv = 0;
-  /* source = IDC_SOURCE_CWD;*/
+  /* source = IDC_SOURCE_CWD; */
   source = IDC_SOURCE_NETINST;
   rv = DialogBox (h, MAKEINTRESOURCE (IDD_SOURCE), 0, dialog_proc);
   if (rv == -1)
@@ -114,4 +116,3 @@ do_source (HINSTANCE h)
        (source == IDC_SOURCE_DOWNLOAD) ? "download" :
        (source == IDC_SOURCE_NETINST) ? "network install" : "from cwd");
 }
-
Index: splash.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/splash.cc,v
retrieving revision 2.5
diff -u -p -r2.5 splash.cc
--- splash.cc	2001/11/02 00:52:06	2.5
+++ splash.cc	2001/11/11 06:54:58
@@ -16,7 +16,10 @@
 /* The purpose of this file is to display the program name, version,
    copyright notice, and project URL. */
 
-static char *cvsid = "\n%%% $Id: splash.cc,v 2.5 2001/11/02 00:52:06 rbcollins Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: splash.cc,v 2.5 2001/11/02 00:52:06 rbcollins Exp $\n";
+#endif
 
 #include "win32.h"
 #include <stdio.h>
@@ -49,6 +52,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
       NEXT (0);
       break;
     }
+  return 0;
 }
 
 static BOOL CALLBACK
@@ -73,4 +77,3 @@ do_splash (HINSTANCE h)
   if (rv == -1)
     fatal (IDS_DIALOG_FAILED);
 }
-
Index: state.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/state.cc,v
retrieving revision 2.0
diff -u -p -r2.0 state.cc
--- state.cc	2000/08/08 00:59:08	2.0
+++ state.cc	2001/11/11 06:54:58
@@ -15,7 +15,10 @@
 
 /* All we do here is instantiate the extern'd variables from state.h */
 
-static char *cvsid = "\n%%% $Id: state.cc,v 2.0 2000/08/08 00:59:08 dj Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: state.cc,v 2.0 2000/08/08 00:59:08 dj Exp $\n";
+#endif
 
 #define extern
 #include "state.h"
